> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fleetit.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Support Ticket

> Create a new support ticket.



## OpenAPI

````yaml post /v2/support-tickets/
openapi: 3.0.3
info:
  title: Fleet IT Customer API
  version: 2.0.0
  description: >-
    Public API for Fleet IT platform customers.


    For detailed guides, authentication setup, error codes, and integration
    examples, see the [Fleet IT
    Documentation](https://docs.fleetit.com/documentation/overview).


    ## Headers


    All authenticated endpoints accept an optional `Fleet-Id` header (integer)
    to specify which fleet to operate on. If omitted, the user's default fleet
    is used.
servers: []
security:
  - JWT: []
  - APIKey: []
externalDocs:
  url: https://docs.fleetit.com/documentation/overview
  description: Fleet IT Documentation
paths:
  /v2/support-tickets/:
    post:
      tags:
        - Support Tickets
      operationId: v2_support_tickets_create
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateSupportTicket'
          application/x-www-form-urlencoded:
            schema:
              $ref: '#/components/schemas/CreateSupportTicket'
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/CreateSupportTicket'
        required: true
      responses:
        '201':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreateSupportTicket'
          description: ''
components:
  schemas:
    CreateSupportTicket:
      type: object
      properties:
        ticket_type:
          $ref: '#/components/schemas/TicketTypeEnum'
        reason:
          $ref: '#/components/schemas/ReasonEnum'
        description:
          type: string
        entities:
          type: array
          items:
            $ref: '#/components/schemas/SupportTicketEntity'
      required:
        - entities
        - reason
    TicketTypeEnum:
      enum:
        - DISPUTE
        - SUPPORT
        - INQUIRY
      type: string
      description: |-
        * `DISPUTE` - Dispute
        * `SUPPORT` - Support
        * `INQUIRY` - Inquiry
    ReasonEnum:
      enum:
        - INCORRECT_AMOUNT
        - WRONG_VEHICLE
        - DUPLICATE_CHARGE
        - NOT_MY_TOLL
        - ALREADY_PAID
        - OTHER
      type: string
      description: |-
        * `INCORRECT_AMOUNT` - Incorrect Amount
        * `WRONG_VEHICLE` - Wrong Vehicle
        * `DUPLICATE_CHARGE` - Duplicate Charge
        * `NOT_MY_TOLL` - Not My Toll
        * `ALREADY_PAID` - Already Paid
        * `OTHER` - Other
    SupportTicketEntity:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        entity_type:
          type: string
          title: Python model class name
        entity_id:
          type: integer
          maximum: 2147483647
          minimum: 0
      required:
        - entity_id
        - entity_type
        - id
  securitySchemes:
    JWT:
      type: http
      scheme: bearer
      bearerFormat: JWT
    APIKey:
      type: apiKey
      in: header
      name: Authorization

````